Index: uspace/srv/net/il/ip/ip_header.h
===================================================================
--- uspace/srv/net/il/ip/ip_header.h	(revision 21580dd3dd9a49828a6c8dd3988e651a60708c10)
+++ uspace/srv/net/il/ip/ip_header.h	(revision 71b00dcceb98187a198867584792b49778d8e886)
@@ -45,40 +45,40 @@
  *  @param[in] header The IP packet header.
  */
-#define IP_HEADER_LENGTH( header )		(( header )->header_length * 4u )
+#define IP_HEADER_LENGTH(header)		((header)->header_length * 4u)
 
 /** Returns the IP header length.
  *  @param[in] length The IP header length in bytes.
  */
-#define IP_COMPUTE_HEADER_LENGTH( length )		(( uint8_t ) (( length ) / 4u ))
+#define IP_COMPUTE_HEADER_LENGTH(length)		((uint8_t) ((length) / 4u))
 
 /** Returns the actual IP packet total length.
  *  @param[in] header The IP packet header.
  */
-#define IP_TOTAL_LENGTH( header )		ntohs(( header )->total_length )
+#define IP_TOTAL_LENGTH(header)		ntohs((header)->total_length)
 
 /** Returns the actual IP packet data length.
  *  @param[in] header The IP packet header.
  */
-#define IP_HEADER_DATA_LENGTH( header )	( IP_TOTAL_LENGTH( header ) - IP_HEADER_LENGTH( header ))
+#define IP_HEADER_DATA_LENGTH(header)	(IP_TOTAL_LENGTH(header) - IP_HEADER_LENGTH(header))
 
 /** Returns the IP packet header checksum.
  *  @param[in] header The IP packet header.
  */
-#define IP_HEADER_CHECKSUM( header )	( htons( ip_checksum(( uint8_t * )( header ), IP_HEADER_LENGTH( header ))))
+#define IP_HEADER_CHECKSUM(header)	(htons(ip_checksum((uint8_t *)(header), IP_HEADER_LENGTH(header))))
 
 /** Returns the fragment offest.
  *  @param[in] header The IP packet header.
  */
-#define IP_FRAGMENT_OFFSET( header ) (((( header )->fragment_offset_high << 8 ) + ( header )->fragment_offset_low ) * 8u )
+#define IP_FRAGMENT_OFFSET(header) ((((header)->fragment_offset_high << 8) + (header)->fragment_offset_low) * 8u)
 
 /** Returns the fragment offest high bits.
  *  @param[in] length The prefixed data total length.
  */
-#define IP_COMPUTE_FRAGMENT_OFFSET_HIGH( length ) (((( length ) / 8u ) & 0x1F00 ) >> 8 )
+#define IP_COMPUTE_FRAGMENT_OFFSET_HIGH(length) ((((length) / 8u) &0x1F00) >> 8)
 
 /** Returns the fragment offest low bits.
  *  @param[in] length The prefixed data total length.
  */
-#define IP_COMPUTE_FRAGMENT_OFFSET_LOW( length ) ((( length ) / 8u ) & 0xFF )
+#define IP_COMPUTE_FRAGMENT_OFFSET_LOW(length) (((length) / 8u) &0xFF)
 
 /** Type definition of the internet header.
@@ -99,17 +99,17 @@
 	/** The Version field indicates the format of the internet header.
 	 */
-	uint8_t		version:4;
+	uint8_t version:4;
 	/** Internet Header Length is the length of the internet header in 32~bit words, and thus points to the beginning of the data.
 	 *  Note that the minimum value for a~correct header is~5.
 	 */
-	uint8_t		header_length:4;
+	uint8_t header_length:4;
 #else
 	/** Internet Header Length is the length of the internet header in 32~bit words, and thus points to the beginning of the data.
 	 *  Note that the minimum value for a~correct header is~5.
 	 */
-	uint8_t		header_length:4;
+	uint8_t header_length:4;
 	/** The Version field indicates the format of the internet header.
 	 */
-	uint8_t		version:4;
+	uint8_t version:4;
 #endif
 	/** The Type of Service provides an indication of the abstract parameters of the quality of service desired.
@@ -118,33 +118,33 @@
 	 *  The major choice is a~three way tradeoff between low-delay, high-reliability, and high-throughput.
 	 */
-	uint8_t		tos;
+	uint8_t tos;
 	/** Total Length is the length of the datagram, measured in octets, including internet header and data.
 	 *  This field allows the length of a~datagram to be up to 65,535~octets.
 	 */
-	uint16_t	total_length;
+	uint16_t total_length;
 	/** An identifying value assigned by the sender to aid in assembling the fragments of a~datagram.
 	 */
-	uint16_t	identification;
+	uint16_t identification;
 #ifdef ARCH_IS_BIG_ENDIAN
 	/** Various control flags.
 	 */
-	uint8_t	flags:3;
+	uint8_t flags:3;
 	/** This field indicates where in the datagram this fragment belongs.
 	 *  High bits.
 	 */
-	uint8_t	fragment_offset_high:5;
+	uint8_t fragment_offset_high:5;
 #else
 	/** This field indicates where in the datagram this fragment belongs.
 	 *  High bits.
 	 */
-	uint8_t	fragment_offset_high:5;
+	uint8_t fragment_offset_high:5;
 	/** Various control flags.
 	 */
-	uint8_t	flags:3;
+	uint8_t flags:3;
 #endif
 	/** This field indicates where in the datagram this fragment belongs.
 	 *  Low bits.
 	 */
-	uint8_t	fragment_offset_low;
+	uint8_t fragment_offset_low;
 	/** This field indicates the maximum time the datagram is allowed to remain in the internet system.
 	 *  If this field contains the value zero, then the datagram must be destroyed.
@@ -153,8 +153,8 @@
 	 *  The intention is to cause undeliverable datagrams to be discarded, and to bound the maximum datagram lifetime.
 	 */
-	uint8_t		ttl;
+	uint8_t ttl;
 	/** This field indicates the next level protocol used in the data portion of the internet datagram.
 	 */
-	uint8_t		protocol;
+	uint8_t protocol;
 	/** A checksum of the header only.
 	 *  Since some header fields change (e.g., time to live), this is recomputed and verified at each point that the internet header is processed.
@@ -162,11 +162,11 @@
 	 *  For purposes of computing the checksum, the value of the checksum field is zero.
 	 */
-	uint16_t	header_checksum;
+	uint16_t header_checksum;
 	/** The source address.
 	 */
-	uint32_t	source_address;
+	uint32_t source_address;
 	/** The destination address.
 	 */
-	uint32_t	destination_address;
+	uint32_t destination_address;
 } __attribute__ ((packed));
 
@@ -188,25 +188,25 @@
 	/** A single octet of option-type.
 	 */
-	uint8_t		type;
+	uint8_t type;
 	/** An option length octet.
 	 */
-	uint8_t		length;
+	uint8_t length;
 	/** A~pointer.
 	 */
-	uint8_t		pointer;
+	uint8_t pointer;
 #ifdef ARCH_IS_BIG_ENDIAN
 	/** The number of IP modules that cannot register timestamps due to lack of space.
 	 */
-	uint8_t	overflow:4;
+	uint8_t overflow:4;
 	/** Various internet timestamp control flags.
 	 */
-	uint8_t	flags:4;
+	uint8_t flags:4;
 #else
 	/** Various internet timestamp control flags.
 	 */
-	uint8_t	flags:4;
+	uint8_t flags:4;
 	/** The number of IP modules that cannot register timestamps due to lack of space.
 	 */
-	uint8_t	overflow:4;
+	uint8_t overflow:4;
 #endif
 } __attribute__ ((packed));
@@ -227,20 +227,20 @@
  *  Allows the packet fragmentation.
  */
-#define IPFLAG_MAY_FRAGMENT			( 0x0 << IPFLAG_FRAGMENT_SHIFT )
+#define IPFLAG_MAY_FRAGMENT			(0x0 << IPFLAG_FRAGMENT_SHIFT)
 
 /** Don't fragment flag value.
  *  Permits the packet fragmentation.
  */
-#define IPFLAG_DONT_FRAGMENT		( 0x1 << IPFLAG_FRAGMENT_SHIFT )
+#define IPFLAG_DONT_FRAGMENT		(0x1 << IPFLAG_FRAGMENT_SHIFT)
 
 /** Last fragment flag value.
  *  Indicates the last packet fragment.
  */
-#define IPFLAG_LAST_FRAGMENT		( 0x0 << IPFLAG_FRAGMENTED_SHIFT )
+#define IPFLAG_LAST_FRAGMENT		(0x0 << IPFLAG_FRAGMENTED_SHIFT)
 
 /** More fragments flag value.
  *  Indicates that more packet fragments follow.
  */
-#define IPFLAG_MORE_FRAGMENTS		( 0x1 << IPFLAG_FRAGMENTED_SHIFT )
+#define IPFLAG_MORE_FRAGMENTS		(0x1 << IPFLAG_FRAGMENTED_SHIFT)
 
 /*@}*/
@@ -261,18 +261,18 @@
 	/** The source address.
 	 */
-	uint32_t	source_address;
+	uint32_t source_address;
 	/** The destination address.
 	 */
-	uint32_t	destination_address;
+	uint32_t destination_address;
 	/** Reserved byte.
 	 *  Must be zero.
 	 */
-	uint8_t		reserved;
+	uint8_t reserved;
 	/** This field indicates the next level protocol used in the data portion of the internet datagram.
 	 */
-	uint8_t		protocol;
+	uint8_t protocol;
 	/** Data length is the length of the datagram, measured in octets.
 	 */
-	uint16_t	data_length;
+	uint16_t data_length;
 } __attribute__ ((packed));
 
